QID 376035

QID 376035: F5 BIG-IP Application Security Manager (ASM), Local Traffic Manager (LTM), Access Policy Manager (APM) Node.js Vulnerabilities (K53225395)

Missing input validation of host names returned by Domain Name Servers (DNS) in the c-ares library can lead to output of wrong hostnames which may lead to Domain Hijacking.CVE-2021-3672

Node.js before 16.6.0, 14.17.4, and 12.22.4 is vulnerable to Remote Code Execution, XSS, Application crashes due to missing input validation of host names returned by Domain Name Servers in Node.js dns library which can lead to output of wrong hostnames (leading to Domain Hijacking) and injection vulnerabilities in applications using the library.CVE-2021-22931

Vulnerable Component: BIG-IP ASM,LTM,APM

Affected Versions:
16.1.0
15.1.0 - 15.1.4
14.1.0 - 14.1.4
13.1.0 - 13.1.4
12.1.0 - 12.1.6

QID Detection Logic(Authenticated):
This QID checks for the vulnerable versions of F5 BIG-IP devices using the tmsh command.

An attacker may be able to exploit the vulnerabilities to perform domain hijacking or injection attacks. The highest threat from the vulnerabilities is to confidentiality and integrity, as well as system availability.

  • CVSS V3 rated as Critical - 9.8 severity.
  • CVSS V2 rated as High - 7.5 severity.
  • Solution
    The vendor has released patch, for more information please visit: K53225395
    Vendor References

    CVEs related to QID 376035

    Software Advisories
    Advisory ID Software Component Link
    K53225395 URL Logo support.f5.com/csp/article/K53225395